qubesdb (4.1.12-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 05 Jan 2022 19:22:03 +0100

qubesdb (4.1.12-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: fix systemctl path

  [ Demi Marie Obenour ]
  * Use $(file <) instead of $(shell cat)

  [ Otto Sabart ]
  * archlinux: bump python dependency to v3.11

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jan 2022 19:22:03 +0100

qubesdb (4.1.11-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: pin PKGBUILD to python3.X major version as new python
    version will break the API

  [ Shawn Anastasio ]
  * client: Treat getopt(3) return value as int instead of char

  [ 3hhh ]
  * qubesdb-cmd watch: some doc clarifications for -n

  [ herypt ]
  * Fix memory leak

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 05:13:14 +0200

qubesdb (4.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat
  * debian: update control for python deps

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 Jan 2021 22:42:06 +0100

qubesdb (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml
  * Set default BACKEND_VMM value to xen
  * Use pkg-config to get BACKEND_VMM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 08 Dec 2020 02:57:16 +0100

qubesdb (4.1.8-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 16 Sep 2020 16:27:16 +0200

qubesdb (4.1.7-1) unstable; urgency=medium

  [ Neowutran ]
  * fix QubesOS/qubes-issues#5658, keep python2 in qubesdb.c

  [ Marek Marczykowski-Górecki ]
  * Drop python2 support

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 May 2020 13:03:29 +0200

qubesdb (4.1.6-1) wheezy; urgency=medium

  [ Ivan Kardykov ]
  * Fix uppercase write bug

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Apr 2020 23:07:58 +0200

qubesdb (4.1.5-1) unstable; urgency=medium

  * daemon: zero out value before freeing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Apr 2020 06:03:29 +0200

qubesdb (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31
  * qubesdb-read: handle wait option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Jan 2020 03:18:16 +0100

qubesdb (4.1.3-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: add fc31 and bullseye

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Jan 2020 13:03:11 +0100

qubesdb (4.1.2-1) unstable; urgency=medium

  * rpm: fix build dependencies
  * daemon: make systemd linking optional
  * Fix permissions of header files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 17 Sep 2019 04:29:27 +0200

qubesdb (4.1.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec.in: use %{python3_pkgversion}

  [ Marek Marczykowski-Górecki ]
  * travis: switch to xenial, add fc30

  [ Marta Marczykowska-Górecka ]
  * Implement qubesdb_destroy
  * Integration for OSS Fuzzer for db-daemon
  * Daemon: fixed crash when trying to remove '/'
  * daemon: fix handling empty entries
  * Fixes for C++

  [ Marek Marczykowski-Górecki ]
  * daemon: fix dom0 daemon hang if VM's daemon disconnects
  * daemon: limit amount of vchan writes triggered by remote side
  * daemon: buffer vchan writes
  * daemon: improve handling stalling VM's daemon
  * daemon: improve validation of message type over vchan
  * python: fix gcc -Wsign-compare warnings

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2019 06:49:34 +0200

qubesdb (4.1.0-1) unstable; urgency=medium

  * rpm: drop direct xen-libs dependency
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Mar 2019 03:33:47 +0100

qubesdb (4.0.10-1) unstable; urgency=medium

  * rpm: add missing BR: systemd-devel
  * rpm: add BR: gcc
  * travis: add fc29

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Oct 2018 23:18:29 +0200

qubesdb (4.0.9-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: use build flags provided by the distribution
  * travis: add fc28 and buster
  * debian: unify Build-Depends

  [ unman ]
  * Remove wheezy and trusty builds. Consolidate Build-Depends

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 07 Sep 2018 00:56:02 +0200

qubesdb (4.0.8-1) unstable; urgency=medium

  * daemon: fix error message format string

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 23:11:32 +0200

qubesdb (4.0.7-1) unstable; urgency=medium

  * windows: fix few compile warnings
  * windows: update for vs2017
  * windows: automatically determine newest SDK version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 21:31:19 +0200

qubesdb (4.0.6-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: build both python2 and python3 bindings

  [ Frédéric Pierret ]
  * Create spec.in and add Source0
  * remove _sourcedir (put in Makefile-legacy.fedora) and isolate
    _builderdir
  * Remove _builddir
  * spec.in: add changelog placeholder
  * Fix GCC8 warnings:

  [ Marek Marczykowski-Górecki ]
  * travis: update Fedora versions
  * rpm: fix packaging
  * travis: add centos7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 01 May 2018 19:47:02 +0200

qubesdb (4.0.5-1) unstable; urgency=medium

  * Fix handling qdb_list errors

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 04 Oct 2017 14:58:23 +0200

qubesdb (4.0.4-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Fix CentOS dependencies: python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 29 Sep 2017 22:50:28 +0200

qubesdb (4.0.3-1) unstable; urgency=medium

  * python3: use unicode as return type for paths

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 29 Jul 2017 05:19:07 +0200

qubesdb (4.0.2-1) unstable; urgency=medium

  * debian: fix dependencies
  * debian: drop non-deterministing orig.tar.gz creation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jun 2017 12:18:54 +0200

qubesdb (4.0.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * makefile: add 'clean' target
  * travis: drop debootstrap workaround
  * Add python3 bindings
  * rpm: add python3 packaging, split python2 bindings into separate
    package
  * debian: add python3 packaging
  * debian: do not disable hardening
  * rpm: remove obsolete code

  [ unman ]
  * Fix Depends for trusty build

  [ Marek Marczykowski-Górecki ]
  * travis: update for Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2017 03:19:58 +0200

qubesdb (4.0.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * python: Move QubesDB out of "qubes" package.

  [ Wojtek Porczyk ]
  * qubesdb-read-bool: Interpret a value as boolean

  [ Marek Marczykowski-Górecki ]
  * daemon: append the log instead of overriding
  * debian: fix dependencies for ubuntu package build
  * debian: reformat Build-Depends
  * debian: move python bindings to separate package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Nov 2016 02:45:23 +0100

qubesdb (3.2.3-1) wheezy; urgency=medium

  * daemon: fix removing pidfile and socket

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Oct 2016 15:54:05 +0200

qubesdb (3.2.2-1) wheezy; urgency=medium

  * daemon: remove pidfile and socket only when created by this instance
  * client: fix signed/unsigned comparision, add -Wextra flag
  * gitignore
  * python: raise OSError on EINTR

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Oct 2016 14:37:00 +0200

qubesdb (3.2.1-1) wheezy; urgency=medium

  * systemd: drop dependency on local-fs.target

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Jul 2016 02:35:57 +0200

qubesdb (3.2.0-1) wheezy; urgency=medium

  [ Wojtek Porczyk ]
  * python: fix qubesdb module in vm

  [ Marek Marczykowski-Górecki ]
  * travis: initial version
  * debian: add missing Build-Depends: pkg-config, libpython2.7-dev

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Jun 2016 23:34:57 +0200

qubesdb (3.1.2-1) wheezy; urgency=medium

  * Allow '@' in entry path

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 06:18:29 +0100

qubesdb (3.1.1-1) wheezy; urgency=medium

  * debian: libsystemd-daemon-dev is renamed to libsystemd-dev
  * Use new 'systemd' utils library when available

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Dec 2015 04:59:54 +0100

qubesdb (3.1.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: disable debuginfo subpackage in qubes-kernel-vm-support

  [ Rafał Wojdyła ]
  * windows: use vchan logger
  * windows: don't start daemon service immediately after install
  * windows: wait for vchan availability on startup
  * Update for pipe-server changes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 14:45:52 +0100

qubesdb (3.0.5-1) wheezy; urgency=medium

  [ Rafał Wojdyła ]
  * windows: update for pipe-server fixes
  * windows: fix incorrect wait call
  * windows: add missing version resources
  * windows: use QpsConnect() for client connection
  * windows daemon: make sure client's data is always released

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Aug 2015 06:40:15 +0200

qubesdb (3.0.4-1) wheezy; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: ensure /usr/sbin is not used as specified in archlinux
    packaging guidelines

  [ Marek Marczykowski-Górecki ]
  * daemon: terminate if (and only if) remote domain is dead

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Aug 2015 02:03:32 +0200

qubesdb (3.0.3-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * gitignore
  * client: do not leak file descriptor on failed connect

  [ Olivier MEDOC ]
  * archlinux: create build scripts for archlinux and update python
    Makefile to support selection of the python binary version

  [ Rafał Wojdyła ]
  * windows: converted qdb-client to msbuild
  * windows: converted qubesdb-cmd to msbuild
  * fixed memory leak warnings
  * untabify
  * windows: qubesdb-cmd: updated for getopt changes
  * windows: working daemon
  * windows: updated client for the new daemon
  * windows: don't build for dom0
  * windows: changed #ifdef blocks from WINNT to WIN32 (msbuild
    standard)
  * Link the CRT dynamically
  * windows: share more common properties in projects
  * windows: removed obsolete installer
  * windows installer: cleanup, added daemon
  * windows: fixed include priority
  * windows: run daemon as service
  * windows installer: fixed configurable directory
  * windows installer: fixed daemon arguments
  * windows: prevent installer name collision
  * windows: added qdb_free()
  * don't close invalid handles
  * fixed windows-specific getopt adjustment
  * removed debug output
  * windows: properly disconnect client on error
  * windows: start daemon service after install

  [ Marek Marczykowski-Górecki ]
  * Compile fixes for Linux code

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jul 2015 07:07:42 +0200

qubesdb (3.0.2-1) wheezy; urgency=medium

  * client: mark socket with SOCK_CLOEXEC
  * python: make qdb.DisconnectedError to be a child of qdb.Error
  * rpm: add missing BuildRequires: python-devel

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2015 00:10:50 +0200

qubesdb (3.0.1-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * client: set errno=NOENT when no entry found in qdb_read
  * client: fix qdb_multiread memory allocation
  * python: fix indentation
  * python: add multiread support
  * client: Remove unused "during_multiread" flag
  * client+python: Improve error handling and reporting
  * python: add watch_fd() used for integrating QubesDB with other event
    loops
  * Fix startup dependency loop

  [ Jason Mehring ]
  * debian:  Added initial Debian packaging
  * debian: update broken depends
  * debian: Added debian patch to remove Fedora reference (fedora-
    loadmodules.service) from qubes-db.service systemd unit file
  * debian: wheezy: Removed an unneeded depend

  [ Marek Marczykowski-Górecki ]
  * daemon: Periodically check if remote domain is still alive
  * daemon: fix compile warnings
  * debian: exclude binary packages from source archive
  * Fix link options order

  [ Jason Mehring ]
  * debian: Fixed incorrect reference to binary version depend
  * debian:  Add extend-diff-ignore options to debian packager

  [ Marek Marczykowski-Górecki ]
  * daemon: reconnect if dom0 daemon was restarted
  * daemon: fire the watches even on initial database population
  * rpm: fix -devel package requires
  * daemon: ensure that pidfile is group readable and _writable_
  * daemon: make the log writable by qubes group
  * daemon: pass the whole struct client to data handling functions
  * daemon: implement buffering of watch events
  * daemon: enable compiler optimization

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Mar 2015 23:58:07 +0100

qubesdb (3.0.0-1) jessie; urgency=medium

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Tue, 10 Feb 2015 00:00:00 +0000
